const prisma = require("./client"); // sende prisma neredeyse oradan

async function createManyDealImages(data) {
  return prisma.dealImage.createMany({ data });
}

async function listDealImagesByDealId(dealId) {
  return prisma.dealImage.findMany({
    where: { dealId },
    orderBy: { order: "asc" },
  });
}

module.exports = { createManyDealImages, listDealImagesByDealId };
